using System;
using System.Collections.Generic;
using System.Text;
using Spring.Data.NHibernate.Support;
using Spring.Transaction.Interceptor;
using Guushuuse.SalaryPrj.HR.DomainModel;
using System.Collections;

namespace Guushuuse.SalaryPrj.HR.Dao
{
    /// <summary>
    /// ݷ
    /// </summary>
    public class DeptDao : HibernateDaoSupport, IDeptDao
    {
        public DeptDao()
        {

        }

        [Transaction(ReadOnly = false)]
        public void CreateDept(Dept dept)
        {
            HibernateTemplate.Save(dept);
        }

        [Transaction(ReadOnly = false)]
        public void UpdateDept(Dept dept)
        {
            HibernateTemplate.Update(dept);
        }

        [Transaction(ReadOnly = false)]
        public void DeleteDept(Dept dept)
        {
            HibernateTemplate.Delete(dept);
        }

        public IList GetAllDepts()
        {
            return HibernateTemplate.LoadAll(typeof(Dept));
        }

        public Dept GetDept(int deptID)
        {
            return (Dept)HibernateTemplate.Get(typeof(Dept), deptID);
        }
    }
}
