﻿using System;
using Guushuuse.SalaryPrj.HR.DomainModel;
using System.Collections;

namespace Guushuuse.SalaryPrj.HR.Dao
{
    /// <summary>
    /// 员工数据访问接口
    /// </summary>
    public interface IEmployeeDao
    {
        void CreateEmployee(Employee employee);
        void DeleteEmployee(Employee employee);
        IList GetAllEmployees();
        Employee GetEmployee(int employeeID);
        void UpdateEmployee(Employee employee);
    }
}
