﻿using System;
using Guushuuse.SalaryPrj.HR.DomainModel;
using Guushuuse.SalaryPrj.HR.Dao;
using System.Collections;

namespace Guushuuse.SalaryPrj.HR.Service
{
    /// <summary>
    /// 部门服务接口
    /// </summary>
    public interface IDeptService
    {
        void CreateDept(Dept dept);
        void DeleteDept(Dept dept);
        IDeptDao DeptDao { get; set; }
        IList GetAllDepts();
        Dept GetDept(int deptID);
        void UpdateDept(Dept dept);
    }
}
