﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true"
    CodeFile="Depts.aspx.cs" Inherits="Depts" %>

<asp:Content ID="LeftColumnContent" ContentPlaceHolderID="LeftColumnZone" runat="server">
</asp:Content>
<asp:Content ID="MiddleColumnContent" ContentPlaceHolderID="MiddleColumnZone" runat="server">
    <asp:Panel ID="Panel1" runat="server" GroupingText="部门列表">
        <br />
        <asp:GridView ID="GridView1" runat="server" DataSourceID="odsDepts" DataKeyNames="ID"
            AutoGenerateColumns="False" Width="100%" AllowPaging="true" PageSize="10">
            <Columns>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:Button ID="btnEdit" runat="server" CommandName="Edit" Text="编辑" />
                        <asp:Button ID="btnDelete" runat="server" CommandName="Delete" Text="删除" OnClientClick="return confirm('您真的要删除吗?')" />
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:Button ID="btnUpdate" runat="server" CommandName="Update" Text="更新" />
                        <asp:Button ID="btnCancel" runat="server" CommandName="Cancel" Text="取消" />
                    </EditItemTemplate>
                </asp:TemplateField>
                <asp:BoundField HeaderText="部门代码" DataField="Code" />
                <asp:BoundField HeaderText="部门名称" DataField="Name" />
            </Columns>
        </asp:GridView>
    </asp:Panel>
    <hr />
    <asp:Panel ID="Panel2" runat="server" GroupingText="新增部门">
        <br />
        <asp:FormView ID="FormView1" runat="server" DataSourceID="odsDepts" DefaultMode="Insert">
            <InsertItemTemplate>
                <table width="100%" border="0" cellpadding="2" cellspacing="2">
                    <tr>
                        <td>
                            部门代码</td>
                        <td>
                            <asp:TextBox ID="txtCode" runat="server" Width="200" Text='<%# Bind("Code") %>' />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            部门名称</td>
                        <td>
                            <asp:TextBox ID="txtGroupName" runat="server" Width="200" Text='<%# Bind("Name") %>' />
                        </td>
                    </tr>
                </table>
                <p>
                    <asp:Button ID="btnInsert" runat="server" CommandName="Insert" Text="新增" />
                </p>
            </InsertItemTemplate>
        </asp:FormView>
    </asp:Panel>
    <asp:ObjectDataSource ID="odsDepts" runat="server" TypeName="Guushuuse.SalaryPrj.HR.Helper.HRHelper"
        SelectMethod="GetAllDepts" InsertMethod="CreateDept" UpdateMethod="UpdateDept"
        DeleteMethod="DeleteDept"></asp:ObjectDataSource>
</asp:Content>
