using System;
using System.Collections.Generic;
using System.Text;
using Spring.Data.NHibernate.Support;
using Spring.Transaction.Interceptor;
using Guushuuse.SalaryPrj.HR.DomainModel;
using System.Collections;

namespace Guushuuse.SalaryPrj.HR.Dao
{
    /// <summary>
    /// Աݷ
    /// </summary>
    public class EmployeeDao : HibernateDaoSupport, IEmployeeDao
    {
        public EmployeeDao()
        {

        }


        [Transaction(ReadOnly = false)]
        public void CreateEmployee(Employee employee)
        {
            HibernateTemplate.Save(employee);
        }

        [Transaction(ReadOnly = false)]
        public void UpdateEmployee(Employee employee)
        {
            HibernateTemplate.Update(employee);
        }

        [Transaction(ReadOnly = false)]
        public void DeleteEmployee(Employee employee)
        {
            HibernateTemplate.Delete(employee);
        }

        public IList GetAllEmployees()
        {
            return HibernateTemplate.LoadAll(typeof(Employee));
        }

        public Employee GetEmployee(int employeeID)
        {
            return (Employee)HibernateTemplate.Get(typeof(Employee), employeeID);
        }
    }
}
