using System;
using System.Collections.Generic;
using System.Text;

namespace Guushuuse.SalaryPrj.HR.DomainModel
{
    /// <summary>
    /// Ա
    /// </summary>
    public class Employee
    {
        private int _id;
        private string _code;
        private string _name;
        private Dept _dept;

        #region 

        /// <summary>
        /// ID
        /// </summary>
        public virtual int ID
        {
            get { return _id; }
            set { _id = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        public virtual string Code
        {
            get { return _code; }
            set { _code = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        public virtual string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        public virtual Dept Dept
        {
            get { return _dept; }
            set { _dept = value; }
        }

        /// <summary>
        /// ID
        /// </summary>
        public virtual int DeptID
        {
            get
            {
                if (_dept != null)
                {
                    return _dept.ID;
                }
                else
                {
                    return -1;
                }
            }
        }

        /// <summary>
        /// 
        /// </summary>
        public virtual string DeptName
        {
            get
            {
                if (_dept != null)
                {
                    return _dept.Name;
                }
                else
                {
                    return String.Empty;
                }
            }
        }

        #endregion 

        #region 캯

        /// <summary>
        /// 
        /// </summary>
        public Employee()
        {
            this._id = -1;
            this._code = String.Empty;
            this._name = String.Empty;     
        }

        #endregion 캯
    }
}
